| TagLib 1.13 |  |

Public Member Functions | Static Public Member Functions | Protected Member Functions | Friends | List of all members
TagLib::ID3v2::UnsynchronizedLyricsFrame Class Reference

ID3v2 unsynchronized lyrics frame. More...

`#include <unsynchronizedlyricsframe.h>`

Inheritance diagram for TagLib::ID3v2::UnsynchronizedLyricsFrame:
[legend]
Collaboration diagram for TagLib::ID3v2::UnsynchronizedLyricsFrame:
[legend]

## Public Member Functions
| UnsynchronizedLyricsFrame (String::Type encoding=String::Latin1)
| UnsynchronizedLyricsFrame (const ByteVector &data)
virtual | ~UnsynchronizedLyricsFrame ()
virtual String | toString () const
ByteVector | language () const
String | description () const
String | text () const
void | setLanguage (const ByteVector &languageCode)
void | setDescription (const String &s)
virtual void | setText (const String &s)
String::Type | textEncoding () const
void | setTextEncoding (String::Type encoding)
PropertyMap | asProperties () const
Public Member Functions inherited from TagLib::ID3v2::Frame
virtual | ~Frame ()
ByteVector | frameID () const
unsigned int | size () const
void | setData (const ByteVector &data)
virtual void | setText (const String &text)
virtual String | toString () const =0
ByteVector | render () const
TAGLIB_DEPRECATED | Header (const ByteVector &data, bool synchSafeInts)
| Header (const ByteVector &data, unsigned int version=4)
virtual | ~Header ()
TAGLIB_DEPRECATED void | setData (const ByteVector &data, bool synchSafeInts)
void | setData (const ByteVector &data, unsigned int version=4)
ByteVector | frameID () const
void | setFrameID (const ByteVector &id)
unsigned int | frameSize () const
void | setFrameSize (unsigned int size)
unsigned int | version () const
void | setVersion (unsigned int version)
bool | tagAlterPreservation () const
void | setTagAlterPreservation (bool discard)
bool | fileAlterPreservation () const
bool | readOnly () const
bool | groupingIdentity () const
bool | compression () const
bool | encryption () const
bool | unsynchronisation () const
bool | dataLengthIndicator () const
ByteVector | render () const
TAGLIB_DEPRECATED bool | frameAlterPreservation () const

## Static Public Member Functions
static UnsynchronizedLyricsFrame * | findByDescription (const Tag *tag, const String &d)
Static Public Member Functions inherited from TagLib::ID3v2::Frame
static Frame * | createTextualFrame (const String &key, const StringList &values)
static unsigned int | headerSize ()
static unsigned int | headerSize (unsigned int version)
static ByteVector | textDelimiter (String::Type t)
static unsigned int | size ()
static unsigned int | size (unsigned int version)

## Protected Member Functions
virtual void | parseFields (const ByteVector &data)
virtual ByteVector | renderFields () const
Protected Member Functions inherited from TagLib::ID3v2::Frame
| Frame (const ByteVector &data)
| Frame (Header *h)
Header * | header () const
void | setHeader (Header *h, bool deleteCurrent=true)
void | parse (const ByteVector &data)
virtual void | parseFields (const ByteVector &data)=0
virtual ByteVector | renderFields () const =0
ByteVector | fieldData (const ByteVector &frameData) const
String | readStringField (const ByteVector &data, String::Type encoding, int *position=0)
String::Type | checkTextEncoding (const StringList &fields, String::Type encoding) const
PropertyMap | asProperties () const

## Friends
class | FrameFactory

## Additional Inherited Members
Static Public Attributes inherited from TagLib::ID3v2::Frame
static const String | instrumentPrefix
static const String | commentPrefix
static const String | lyricsPrefix
static const String | urlPrefix
Static Protected Member Functions inherited from TagLib::ID3v2::Frame
static String::Type | checkEncoding (const StringList &fields, String::Type encoding)
static String::Type | checkEncoding (const StringList &fields, String::Type encoding, unsigned int version)
static ByteVector | keyToFrameID (const String &)
static String | frameIDToKey (const ByteVector &)
static String | keyToTXXX (const String &)
static String | txxxToKey (const String &)
static void | splitProperties (const PropertyMap &original, PropertyMap &singleFrameProperties, PropertyMap &tiplProperties, PropertyMap &tmclProperties)

## Detailed Description

ID3v2 unsynchronized lyrics frame.

An implementation of ID3v2 unsynchronized lyrics.

## Constructor & Destructor Documentation

## ◆ UnsynchronizedLyricsFrame() [1/2]

TagLib::ID3v2::UnsynchronizedLyricsFrame::UnsynchronizedLyricsFrame | ( | String::Type | encoding = `String::Latin1` | ) |
| explicit

Construct an empty unsynchronized lyrics frame that will use the text encoding encoding.

## ◆ UnsynchronizedLyricsFrame() [2/2]

TagLib::ID3v2::UnsynchronizedLyricsFrame::UnsynchronizedLyricsFrame | ( | const ByteVector & | data | ) |
| explicit

Construct a unsynchronized lyrics frame based on the data in data.

## ◆ ~UnsynchronizedLyricsFrame()

virtual TagLib::ID3v2::UnsynchronizedLyricsFrame::~UnsynchronizedLyricsFrame | ( |  | ) |
| virtual

Destroys this UnsynchronizedLyricsFrame instance.

## Member Function Documentation

## ◆ asProperties()

PropertyMap TagLib::ID3v2::UnsynchronizedLyricsFrame::asProperties | ( |  | ) | const

Parses this frame as PropertyMap with a single key.

- if description() is empty or "LYRICS", the key will be "LYRICS"
- if description() is not a valid PropertyMap key, the frame will be marked unsupported by an entry "USLT/<description>" in the unsupportedData() attribute of the returned map.
- otherwise, the key will be "LYRICS:<description>"
- The single value will be the frame's text(). Note that currently the language() field is not supported by the PropertyMap interface.

## ◆ description()

String TagLib::ID3v2::UnsynchronizedLyricsFrame::description | ( |  | ) | const

Returns the description of this unsynchronized lyrics frame.

Note
  Most taggers simply ignore this value.

See also
  setDescription()

## ◆ findByDescription()

static UnsynchronizedLyricsFrame * TagLib::ID3v2::UnsynchronizedLyricsFrame::findByDescription | ( | const Tag * | tag,
|  | const String & | d
| ) |  |
| static

LyricsFrames each have a unique description. This searches for a lyrics frame with the description d and returns a pointer to it. If no frame is found that matches the given description null is returned.

See also
  description()

## ◆ language()

ByteVector TagLib::ID3v2::UnsynchronizedLyricsFrame::language | ( |  | ) | const

Returns the language encoding as a 3 byte encoding as specified by ISO-639-2.

Note
  Most taggers simply ignore this value.

See also
  setLanguage()

## ◆ parseFields()

virtual void TagLib::ID3v2::UnsynchronizedLyricsFrame::parseFields | ( | const ByteVector & | data | ) |
| protected virtual

Called by parse() to parse the field data. It makes this information available through the public API. This must be overridden by the subclasses.

Implements TagLib::ID3v2::Frame.

## ◆ renderFields()

virtual ByteVector TagLib::ID3v2::UnsynchronizedLyricsFrame::renderFields | ( |  | ) | const
| protected virtual

Render the field data back to a binary format in a ByteVector. This must be overridden by subclasses.

Implements TagLib::ID3v2::Frame.

## ◆ setDescription()

void TagLib::ID3v2::UnsynchronizedLyricsFrame::setDescription | ( | const String & | s | ) |

Sets the description of the unsynchronized lyrics frame to s.

See also
  description()

## ◆ setLanguage()

void TagLib::ID3v2::UnsynchronizedLyricsFrame::setLanguage | ( | const ByteVector & | languageCode | ) |

Set the language using the 3 byte language code from ISO-639-2 to languageCode.

See also
  language()

## ◆ setText()

virtual void TagLib::ID3v2::UnsynchronizedLyricsFrame::setText | ( | const String & | s | ) |
| virtual

Sets the text portion of the unsynchronized lyrics frame to s.

See also
  text()

Reimplemented from TagLib::ID3v2::Frame.

## ◆ setTextEncoding()

void TagLib::ID3v2::UnsynchronizedLyricsFrame::setTextEncoding | ( | String::Type | encoding | ) |

Sets the text encoding to be used when rendering this frame to encoding.

See also
  textEncoding()
  render()

## ◆ text()

String TagLib::ID3v2::UnsynchronizedLyricsFrame::text | ( |  | ) | const

Returns the text of this unsynchronized lyrics frame.

See also
  setText()

## ◆ textEncoding()

String::Type TagLib::ID3v2::UnsynchronizedLyricsFrame::textEncoding | ( |  | ) | const

Returns the text encoding that will be used in rendering this frame. This defaults to the type that was either specified in the constructor or read from the frame when parsed.

See also
  setTextEncoding()
  render()

## ◆ toString()

virtual String TagLib::ID3v2::UnsynchronizedLyricsFrame::toString | ( |  | ) | const
| virtual

Returns the text of this unsynchronized lyrics frame.

See also
  text()

Implements TagLib::ID3v2::Frame.

## Friends And Related Function Documentation

## ◆ FrameFactory

friend class FrameFactory
| friend

The documentation for this class was generated from the following file:

- unsynchronizedlyricsframe.h